<?php /* -*- mode: php; tab-width: 4; c-basic-offset: 4; c-set-style: k&r -*- */
/*
 * Copyright (c) 2009 TrueStep
 * Author: Rory Arms - http://www.TrueStep.com
 * Name: pi.ts_microtime.php
 * Btime: 2010-02-23
 * Description: Generate current epoch time with microsecond precision
 * Tested with: EE-1.6.8/PHP-5.2.6/MySQL-5.0
 * $Id: pi.ts_microtime.php,v 1.1.1.1 2010/03/23 10:35:46 rorya Exp $
 */

//ini_set('display_errors', 1);
//error_reporting(E_ALL);

// EE plugin properties
$plugin_info = array(
	 'pi_name' => 'TS_Microtime',
	 'pi_version' => '1.0',
	 'pi_author' => 'TrueStep',
	 'pi_author_url' => 'http://www.TrueStep.com/',
	 'pi_description' => 'Produces the current time with millisecond precision',
	 'pi_usage' => TS_Microtime::usage()
	 );

class TS_Microtime
{
	 // EE required vars
	 var $return_data = "";

	 // app vars
	 var $plugin_version = "1.0";

	 function TS_Microtime() {
	   global $TMPL;

	   // main
	   //

	   $this->return_data = array_sum(explode(" ", microtime()));

	 }

	 // public
	 // 3-segment tag: {exp:netvibes_dashboard:version}
	 // returns int (plugin version)
	 function version() {
		  return $this->plugin_version;
	 }

	 // public
	 function usage() {
		  ob_start(); 
		  ?>
              TS Microtime plugin 

Description: 
Generates the current time with millisecond precision. The value is the amount of milliseconds since the UNIX epoch (Dec 31st, 1969).

Usage:
{exp:ts_microtime}

Parameters:
None at this time.

Compat:
EE 1
PHP 4 or later

<?php
	      $buffer = ob_get_contents();
          ob_end_clean(); 

		  return $buffer;
	 } // end usage()
}

?>
